unit UAboutWindow;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, jpeg, RVScroll, RichView, RVStyle;

type
  TAboutWindow = class(TForm)
    Image1: TImage;
    Button1: TButton;
    Memo1: TMemo;
    Memo2: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutWindow: TAboutWindow;

implementation

uses UMainWindow, ULocalization;

{$R *.dfm}

procedure TAboutWindow.Button1Click(Sender: TObject);
begin
  Close;
end;

procedure TAboutWindow.FormShow(Sender: TObject);
begin
  Memo1.Show;
  with Localization do begin
    Memo2.Lines.Clear;
    Memo2.Lines.Add(ApplicationName + ' ' + ClientVersion);
    Memo2.Lines.Add(Item('Date')+': ' + ClientReleaseDate);
    Memo2.Lines.Add(Item('Author')+': ' + Author);
    Memo2.Lines.Add(Item('Email')+': ' + Email);
    Memo2.Lines.Add(Item('Homepage')+': ' + HomePage);
    Memo2.Lines.Add(Item('Licence')+': '+Licence);
    Button1.Caption:= Item('Close');
    AboutWindow.Caption:= Item('AboutProgram');
  end;
  FormPaint(Self);
end;

procedure TAboutWindow.FormCreate(Sender: TObject);
begin
  if MainWindow.OnTop then FormStyle:= fsStayOnTop else FormStyle:= fsNormal;
end;

procedure TAboutWindow.FormPaint(Sender: TObject);
//var
//  Y, X: Integer;
begin
(*
  for Y:= 0 to Height-1 do
  for X:= 0 to Width-1 do begin
  AboutWindow.Canvas.Pixels[X,Y]:= clBlue;
    if AboutWindow.Canvas.Pixels[X,Y] = clWhite then AboutWindow.Canvas.Pixels[X,Y]:= clBlue;
  end;
*)
end;

end.
