program SunriseChat;

{%TogetherDiagram 'ModelSupport_SunriseChat\default.txaPackage'}

uses
  Forms,
  UMainWindow in 'UMainWindow.pas' {MainWindow},
  USunriseChatCore in 'USunriseChatCore.pas' {SunriseChatCore: TDataModule},
  UAutoRegistry in 'UAutoRegistry.pas',
  UInfoWindow in 'UInfoWindow.pas' {InfoWindow},
  UOptionsWindow in 'UOptionsWindow.pas' {OptionsWindow},
  UAboutWindow in 'UAboutWindow.pas' {AboutWindow},
  UNetworkTest in 'UNetworkTest.pas' {NetworkTest},
  UNewRoom in 'UNewRoom.pas' {NewRoom},
  UPing in 'UPing.pas',
  ULogExceptions in 'ULogExceptions.pas' {LogExceptions},
  ULocalization in 'ULocalization.pas' {Localization: TDataModule},
  UTextFileStream in 'UTextFileStream.pas',
  UWaitingDialog in 'UWaitingDialog.pas' {WaitingDialog};

{$R *.res}
{$R WindowsXP.RES}

begin
  Application.Initialize;
  Application.CreateForm(TSunriseChatCore, SunriseChatCore);
  Application.CreateForm(TLocalization, Localization);
  Application.CreateForm(TMainWindow, MainWindow);
  Application.CreateForm(TLogExceptions, LogExceptions);
  LogExceptions.AppVersion := ClientVersion;
  LogExceptions.AppReleaseDate := ClientReleaseDate;
  Application.CreateForm(TWaitingDialog, WaitingDialog);
  if not MainWindow.StopProgram then begin
    Application.CreateForm(TNewRoom, NewRoom);
    Application.CreateForm(TInfoWindow, InfoWindow);
    Application.CreateForm(TOptionsWindow, OptionsWindow);
    Application.CreateForm(TAboutWindow, AboutWindow);
    Application.CreateForm(TNetworkTest, NetworkTest);
    Application.Run;
  end;
end.
