unit UNewRoom;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ToolWin, ExtCtrls;

type
  TNewRoom = class(TForm)
    Label1: TLabel;
    Button2: TButton;
    CheckBox1: TCheckBox;
    Button1: TButton;
    Edit1: TEdit;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  NewRoom: TNewRoom;

implementation

uses ULocalization, USunriseChatCore;

{$R *.dfm}

procedure TNewRoom.Button2Click(Sender: TObject);
begin
  Close;
end;

procedure TNewRoom.Button1Click(Sender: TObject);
begin
  if Edit1.Text <> '' then begin
    with SunriseChatCore do begin
  //    if not InputQuery('Vytvoen mstnosti','Zadejte jmno mstnosti:',RoomName) then Exit;
      LocalUser.RoomName:= NewRoom.Edit1.Text;
      if NewRoom.CheckBox1.Checked then LocalUser.RoomType:= rtPrivate else LocalUser.RoomType:= rtPublic;
      SendCommand('CreateRoom','');
      if LocalUser.RoomType = rtPrivate then SendCommand('CreateRoom','',LocalUser.IP,LocalUser.ID);
    end;
    Close;
  end else ShowMessage('Zadajte jmno mstnosti!');
end;

procedure TNewRoom.FormShow(Sender: TObject);
begin
  with Localization do begin
    NewRoom.Caption:= Item('NewRoom');
    Label1.Caption:= Item('EnterRoomName');
    Button1.Caption:= Item('Ok');
    Button2.Caption:= Item('Cancel');
    CheckBox1.Caption:= Item('PrivateRoom');
  end;
end;

end.
